Package org.apache.sling.feature.builder

# Interface HandlerContext

@ProviderType public interface HandlerContext
Context for an extension handler.

## Method Summary

Modifier and Type
Method
Description
`ArtifactProvider`
`getArtifactProvider()`
Provide the optional artifact provider.
`Map<String,String>`
`getConfiguration()`
Configuration for the handler
`boolean`
`isInitialMerge()`
Is this the first feature being merged in?
`boolean`
`isPrototypeMerge()`
Is this merging a prototype into the defining feature?

## Method Details

### getArtifactProvider

ArtifactProvider getArtifactProvider()
Provide the optional artifact provider.

Returns:
  The artifact provider or `null`

### getConfiguration

Map<String,String> getConfiguration()
Configuration for the handler

Returns:
  Map of provided configuration, or an empty map if there is no configuration. Never `null`.

### isPrototypeMerge

boolean isPrototypeMerge()
Is this merging a prototype into the defining feature?

Returns:
  `true` if it is prototype processing
Since:
  1.3.0

### isInitialMerge

boolean isInitialMerge()
Is this the first feature being merged in?

Returns:
  `true` if it is the first feature
Since:
  1.3.0